//
//  ViewController.m
//  ex_animationImages
//
//  Created by yoshiyuki oshige on 2014/01/17.
//  Copyright (c) 2014年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
{
    // アニメーションの各コマのイメージを入れる配列
    NSArray *animationSeq;
}

// カエルのイメージとアウトレット接続して挿入したプロパティ宣言
@property (weak, nonatomic) IBOutlet UIImageView *frog;
// カエルのジェスチャーレコグナイザとアクション接続して挿入したメソッド宣言
- (IBAction)tapFrog:(UITapGestureRecognizer *)sender;
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    // アニメーションの各コマのイメージを配列に入れる
    animationSeq = @[[UIImage imageNamed:@"frog1.png"],
                     [UIImage imageNamed:@"frog2.png"],
                     [UIImage imageNamed:@"frog3.png"],
                     [UIImage imageNamed:@"frog4.png"]];
    
    // カエルのイメージビューにアニメーションの配列を設定する
    self.frog.animationImages = animationSeq;
    // アニメーションの長さ（秒数）を設定する
    self.frog.animationDuration = 2.0;
    // 繰り返し回数（0のとき無限）
    self.frog.animationRepeatCount = 3;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

// カエルがタップされたら実行するメソッド
- (IBAction)tapFrog:(UITapGestureRecognizer *)sender {
    // アニメーションが再生中ならば
    if (self.frog.isAnimating) {
        [self.frog stopAnimating];// アニメーションを止める
    } else {
        [self.frog startAnimating];// アニメーションを再生する
    }
}

@end
