//
//  ViewController.m
//  ex_dragGesture
//
//  Created by yoshiyuki oshige on 2014/01/30.
//  Copyright (c) 2014年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
// アザラシをアウトレット接続してプロパティ宣言を挿入する
@property (weak, nonatomic) IBOutlet UIImageView *azarashi;
// パンジェスチャーレコグナイザーをアクション接続してdragAzarashiメソッド:を挿入する
- (IBAction)dragAzarashi:(UIPanGestureRecognizer *)sender;
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

// アザラシをドラッグして動かすたびに実行される
- (IBAction)dragAzarashi:(UIPanGestureRecognizer *)sender {
    // ドラッグして移動したベクトル
    CGPoint translation = [sender translationInView:self.view];
    // ドラッグした移動距離をアザラシの中心座標に加算する
    CGPoint homeLoc = self.azarashi.center;
    homeLoc.x += translation.x;
    homeLoc.y += translation.y;
    // アザラシの座標を更新する
    self.azarashi.center = homeLoc;
    // 移動開始位置をリセットする
    [sender setTranslation:CGPointZero inView:self.view];
}

@end
