//
//  ViewController.m
//  ex_fadeInOutRepeat
//
//  Created by yoshiyuki oshige on 2014/01/09.
//  Copyright (c) 2014年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
// ラベルをアウトレット接続してプロパティ宣言を挿入する
@property (weak, nonatomic) IBOutlet UILabel *myLabel;
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

// ビューが表示されたならば実行される
- (void)viewDidAppear:(BOOL)animated
{
    // アニメーションのオプション
    UIViewAnimationOptions animeOptions =
        UIViewAnimationOptionCurveEaseInOut // イーズインアウト
        | UIViewAnimationOptionAutoreverse // 自動逆再生
        | UIViewAnimationOptionRepeat; // 繰り返し
    
    // 移動先の座標
    CGFloat cx = self.myLabel.center.x;
    CGFloat cy = self.myLabel.center.y;
    CGPoint pt = CGPointMake(cx, cy-100);
    
    // アニメーションの開始
    [UIView animateWithDuration:1.5
                          delay:1
                        options:animeOptions
                     animations:^{
                            self.myLabel.center = pt; // 上下運動
                            self.myLabel.alpha = 0.2; // フェードイン・アウト
                        }
                     completion:nil];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
