//
//  ViewController.m
//  ex_keyFrameAnimation
//
//  Created by yoshiyuki oshige on 2014/01/14.
//  Copyright (c) 2014年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
// ボタンをアウトレット接続してプロパティ宣言を挿入する
@property (weak, nonatomic) IBOutlet UIButton *myButton;
// ボタンをアクション接続してメソッド宣言を挿入する
- (IBAction)playAnimation:(UIButton *)sender;
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

// アニメーションをスタートする
- (IBAction)playAnimation:(UIButton *)sender {
    [UIView animateKeyframesWithDuration:2.0 // アニメーションの秒数
                                   delay:0.0
                                 options:UIViewKeyframeAnimationOptionCalculationModeCubic
                              animations:^{
                                  // 上に昇るアニメーション
                                  [UIView addKeyframeWithRelativeStartTime:0.2 // 全長の20%タイムからスタート
                                                          relativeDuration:0.6 // アニメの長さ（全体の60%）
                                                                animations:^{
                                                                    // 座標を移動する
                                                                    self.myButton.center = CGPointMake(160, 100);
                                                                }];
                                  
                                  // 背景色を赤に変更するアニメーション
                                  [UIView addKeyframeWithRelativeStartTime:0.5 // 全長の50%タイムからスタート
                                                          relativeDuration:0.5 //アニメの長さ（全体の50%）
                                                                animations:^{
                                                                    // 背景色を赤にする
                                                                    self.myButton.backgroundColor = [UIColor redColor];
                                                                }];
                                }
                                completion:nil];
}

@end
