//
//  ViewController.m
//  ex_tapGesture_animation
//
//  Created by yoshiyuki oshige on 2014/01/28.
//  Copyright (c) 2014年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
// アザラシをアウトレット接続してazarashiプロパティ宣言を挿入する
@property (weak, nonatomic) IBOutlet UIImageView *azarashi;
// タップジェスチャーレコグナイザーをアクション接続してtapView:メソッド挿入する
- (IBAction)tapView:(UITapGestureRecognizer *)sender;
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

// ビューがタップされたら実行する
- (IBAction)tapView:(UITapGestureRecognizer *)sender {
    // タップされた座標を調べる
    CGPoint tapLoc = [sender locationInView:self.view];
    // アニメーションのオプション
    UIViewAnimationOptions animeOptions =
    UIViewAnimationOptionCurveEaseInOut // イーズインアウト
    | UIViewAnimationOptionBeginFromCurrentState;// 現在値から開始する
    // タップされた座標にアザラシをアニメーションで移動させる
    [UIView animateWithDuration:2.0 // 2秒間のアニメーション
                          delay:0
                        options:animeOptions
                     animations:^{
                         self.azarashi.center = tapLoc; // 移動
                     }
                     completion:nil];
}

@end